scala.collection.jcl.SortedMapWrapper
class Range

[source: `scala/collection/jcl/SortedMapWrapper.scala`]

`protected` `class` Range(from : Option[K], until : Option[K])
  `extends` Range `with` SortedMapWrapper[K, E]

Value Summary
`val` | underlying : java.util.SortedMap

Method Summary
`override def` | compare (k0 : K, k1 : K) : Int the comparator function of this sorted map is defined in terms of the underlying sorted map's comparator.

Methods inherited from SortedMapWrapper
firstKey, lastKey, keySet, Range

Methods inherited from MapWrapper
size, isEmpty, clear, put, get, ++=, removeKey, contains, valueSet, elements, toString, hashCode, equals

Methods inherited from Range
rangeImpl, filterKeys

Methods inherited from Projection
projection

Methods inherited from SortedMap
lense

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Sorted
hasAll

Methods inherited from Projection
map

Methods inherited from Map
keys, has, update, +, +=, -, remove, -=

Methods inherited from Map
+=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from Map
getOrElse, apply, isDefinedAt, values, default, mapElements, stringPrefix

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from Projection
filter

Methods inherited from Projection
force, flatMap, takeWhile, append

Methods inherited from MutableIterable
removeAll, --, -, retainOnly, retainAll, size0

Methods inherited from Collection
toArray

Methods inherited from Iterable
concat, ++, partition, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` underlying : java.util.SortedMap

Overrides
  SortedMapWrapper.underlying

Method Details

`override` `def` compare(k0 : K, k1 : K) : Int

  the comparator function of this sorted map is defined in terms of the underlying sorted map's comparator.

Overrides
  Range.compare, SortedMapWrapper.compare